/* Reset some default styling */
@font-face {
    font-family: 'MyFont';
    src: url('Product Sans Regular.ttf') format('truetype');
}
* {
    margin: 0;
    box-sizing: border-box;
}

/* Set a base font size and family */
body {

    font-family: 'MyFont', sans-serif;
    font-size: 16px;
    background-image: url("bgwhite.png");
    background-size: cover;
    background-repeat: no-repeat;
    overflow-x: hidden;
}

/* Header styles */
header {
    position: fixed;
    right: 0;
    left:0;
    top: 0;
    z-index: 1000;
    max-width: 100vw;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 0px;
    background: white;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}

.logo img {
    padding-left: 30px;
    height: 40px;
    width: auto;
}

.navlist {
    display: flex;
    list-style: none;
    margin-right: 20px;
}

.navlist a {
    color: black;
    font-size: 14px;
    font-weight: 600;
    text-decoration: none;
    padding: 10px 15px;
    border-bottom: 2px solid transparent;
    transition: border-bottom 0.3s ease;
}

.navlist a:hover {
    border-bottom-color: black;
}

#menu-icon {
    color: black;
    font-size: 24px;
    cursor: pointer;
    display: none;
}

/* Main sections styles */
section {
    width: 100vw;
    margin-bottom: 1.5%;
}
section h2{
    margin-top: 1.5%;
    font-weight: bold;
}
#services{
    background-color: #241185;
    
}
#smk{
    background-color: #241185;
    color: #f9f9f9;
}
#partner{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#bengkel{
    background-color: #241185;
    color: #f9f9f9;
}
.container {
    /*max-width: 1200px;*/
    margin: 0 auto;
}
.container-home{
    padding-left: 10vw;
    display: block;
    margin-top: 25vh;
    flex-shrink: 0;
}
.container-home-whole{
    display: inline-flex;
    margin-bottom: 5vh;
}
.container-contact{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}
.container-contact a{
    margin-left: 10px;
}
.container-contact-whole{
    display: block;
    padding: 20px;
    align-items: center;
    background-color: #241185;
    color: #f9f9f9;
    margin-bottom: -1.5%;

}

.container-services{
    display: flex;
    padding-left: 10px;
    background-color: #241185;
    color: #f9f9f9;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}
.merge-visi-misi{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

}
.merge-visi-misi div{
    margin:5%;
}
.visi{
    font-size: 18px;
}
.container-pool{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.container-pool div{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}
.container-pool div img{
   width: 40vw;
   height: auto;
   border-radius: 5px;
   box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
   transition: 0.3s;
   border-radius: 5px;
}
.container-pool div .body-large{
    font-size: 20px;
    font-weight: bold;
}
.container-bengkel{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.container-bengkel div{
    margin-top: 3vh;
    max-width: 20vw;
}
.container-smk{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.container-smk h2{
    text-align: center;
}
.foto-smk div img{
    width: 40vw;
    height: auto;
    border-radius: 5px;
   box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
   transition: 0.3s;
   border-radius: 5px;
   margin-bottom: 5vh;

}
.foto-smk{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5vh;
}
.foto-smk div{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.container-partner img{
    width: 20vw;
   height: auto;
   border-radius: 5px;
}
.container-partner-2 img{
    width: 20vw;
   height: auto;
   border-radius: 5px;
}

.tanaga img{
    width: 20vw;
    height: auto;
    border-radius: 5px;
}
.carousel{
    margin-left: 10vw;
    margin-top: 15vh;

}
.carousel-item{
    max-width: 40vw;
    max-height: 45vh;
}
.carousel-item img{
    width: 40vw;
    height: auto;
}

.bold-text {
    font-size: 36px;
    font-weight: bold;
    margin-bottom: 20px;
}

.body-large {
    text-align: justify;
    margin-bottom: 20px;
    line-height: 1.6;
}

.button-primary,
.button-wa {
    display: inline-block;
    padding: 20px;
    font-size: 18px;
    font-weight: 600;
    text-align: center;
    border-radius: 8px;
    text-decoration: none;
    color: white;
    background: rgb(1, 90, 255);
    border: 2px solid rgb(1, 90, 255);
    transition: all 0.3s ease;
}

.button-primary:hover,
.button-wa:hover {
    background: rgba(1, 90, 255, 0.8);
}

/* About section styles */
.container-about {
    padding:5% 5%;
}

.container-about h2 {
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 10px;
}

/* Footer styles (if applicable) */
footer {
    text-align: center;
    background: #000000;
    color: rgba(245, 245, 245, 0.619);
}
.container-footer{
    display: flex;
    justify-content: center;
    align-items: center;
}
.container-footer p{
    justify-content: center;
    align-items: center;
    display: flex;
    text-align: center;
}
.card{
    padding: 10px;
    max-width:25%;
    color: #f9f9f9;
    margin:0;
    background-color: transparent;
    border: 0px solid #f9f9f9 ;
}

.card-subtitle{
    font-size: 18px;
    margin:0;
}
.card-body h1 i{
    font-size: 100px;
    display: block;
}
/* ... (your previous CSS rules) ... */

/* Media queries for responsive design */


@media only screen and (max-width: 480px) {
    /* Adjustments for small screens */
    *{
        margin: 0;
        min-width: none;
    }
    body{
        margin: 0;
        overflow-x: hidden;
    }
    section{
        margin-top: 10vh;
        /* left: 100%; */
        width: 100%;
    }
    header {
        display: block;
        padding: 10px;
        max-width:100vw;
    }
    .logo{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .logo img{
        width: 120px;
        height: auto;

    }
    .navlist{
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    .navlist a{
        font-size: 12px;
        padding: 5px 10px;
    }
    #menu-icon{
        display:none;
    }
    .container-home {
        margin-top: 10vh;
        width: 90vw;
        flex-grow: 0;
        flex-shrink: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .container-home-whole{
        flex-direction: column;
        flex-shrink: 0;
        margin: 0;
    }
    .carousel-item img{
        margin: 5%;
        width: 100vw;
        height: auto;
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
        transition: 0.3s;
        border-radius: 5px;
    }
    .container-contact {
        margin-left: 10%;
    }
    .card-body h1 i{
        text-align: center;
        font-size: 80px;
        display: block;
    }
    .merge-services{
        background-color: #241185;
        justify-content: center;
        text-align: center;
    }

    .bold-text {
        font-size: 24px;
    }

    .body-large {
        font-size: 14px;
        margin: 0;
    }

    .merge-services {
        flex-direction: column;
    }
    .merge-visi-misi{
        flex-direction: column;
    }
    .container-services{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin: 0;
    }
    .container-contact{
        flex-direction: column;
        margin: 10px;
    }
    .container-contact p{
        margin-top: 20px;
        font-size: 12px;
    }
    .card{
        max-width:90vw;
    }
    .card-subtitle{
        margin: 0;
        font-size: 14px;
    }
    .button-primary,.button-wa{
        padding: 15px;
    }
    .container-bengkel div{
        margin-top: 3vh;
        max-width: 90vw;
    }
    .container-pool div img{
        width: 70vw;
        height: auto;
        border-radius: 5px;
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
        transition: 0.3s;
        border-radius: 5px;
     }
    .container-partner img{
        width: 70vw;
        height: auto;

    }
    #partner{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

    }
    .container-partner{

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-bottom: 2.5vh;
    }
    .container-partner img{

        width: 70vw;
        height: auto;
    }
    .container-partner-2 img{
        width: 70vw;
        height: auto;


    }
    .container-partner-2{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-bottom: 2.5vh;
    }
    .foto-smk div img{
        width: 70vw;
        height: auto;
        border-radius: 5px;
       box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
       transition: 0.3s;
       border-radius: 5px;

    }
    .foto-smk{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .foto-smk div{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    /* ... (other adjustments for small screens) ... */
}
